[SCM] libcitygml branch, master, updated. debian/0.14+svn128-1+3p0p1+4-25-g5cb2914
Bas Couwenberg
sebastic at xs4all.nl
Fri Jan 24 22:58:52 UTC 2014
The following commit has been merged in the master branch:
commit e0c8a2f1d1291b00259608b90d80b08cbe8d15eb
Author: Bas Couwenberg <sebastic at xs4all.nl>
Date: Fri Jan 24 22:42:40 2014 +0100
Add symbols file using pkgkde-symbolshelper.
diff --git a/debian/README.Debian b/debian/README.source
similarity index 53%
rename from debian/README.Debian
rename to debian/README.source
index a9af952..5912450 100644
--- a/debian/README.Debian
+++ b/debian/README.source
@@ -7,3 +7,20 @@ Version Policy:
+3p0p0 means it is build for work with OSG 3.0:
as lintian Warning: maintainer-upload-has-incorrect-version-number,
dot is divert to `p'.
+
+
+Symbols
+-------
+
+The symbols file is maintained using pkgkde-symbols helper and the binary
+packages from snapshot.debian.org.
+
+The libcitygml-symbols.sh script automates the symbols update process.
+To update the symbols file for a specific binary package version, run:
+
+$ bash debian/libcitygml-symbols.sh <VERSION>
+
+For general information on maintain symbols files using the pkg-kde-tools, see:
+
+http://pkg-kde.alioth.debian.org/symbolfiles.html
+
diff --git a/debian/changelog b/debian/changelog
index dc59a65..1f4d1cc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -12,6 +12,7 @@ libcitygml (0.14+svn134-1+3p2p0) UNRELEASED; urgency=low
* Fix 'information' typo in manpage, add patch to fix the typo in the code.
* Update watch file for Subversion revisions.
* Update to latest upstream Subversion revision.
+ * Add symbols file using pkgkde-symbolshelper.
-- Bas Couwenberg <sebastic at xs4all.nl> Sun, 19 Jan 2014 19:43:40 +0100
diff --git a/debian/control b/debian/control
index 5412638..970634c 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel at lists.alioth.debian.org>
Uploaders: YunQiang Su <wzssyqa at gmail.com>
Build-Depends: debhelper (>= 9), cmake (>= 2.6.3), libxml2-dev,
- libgdal-dev, libopenscenegraph-dev (>= 3.0.1-4~)
+ libgdal-dev, libopenscenegraph-dev (>= 3.0.1-4~), pkg-kde-tools
Standards-Version: 3.9.3
Section: libs
Homepage: http://code.google.com/p/libcitygml
diff --git a/debian/libcitygml-symbols.sh b/debian/libcitygml-symbols.sh
new file mode 100644
index 0000000..4abc6ab
--- /dev/null
+++ b/debian/libcitygml-symbols.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+PKG="libcitygml0"
+VERSION=$1
+if [ -z "${VERSION}" ]; then
+ echo "Usage: $0 <VERSION>"
+ exit 1
+fi
+
+SYMBOLS="debian/${PKG}.symbols"
+ABI=$(echo $VERSION | sed 's/[\+\~].*$//')
+
+# Remove old architecture symbols files
+rm -f symbols.*
+
+# Download binary packages from snapshot.debian.org
+debsnap --binary ${PKG} -f
+
+for DEB in binary-${PKG}/${PKG}_${VERSION}_*.deb
+do
+ export DIR=$(echo $DEB | sed 's/.deb$//')
+
+ # Unpack binary package
+ dpkg-deb -R $DEB $DIR
+
+ export VERSION=$(dpkg-deb -f $DEB Version)
+
+ export ARCH=$(dpkg-deb -f $DEB Architecture)
+ export LIB=$(find $DIR -type l -name "*.so.?")
+
+ # Generate symbols for the architecture
+ pkgkde-gensymbols -p${PKG} -v${ABI} -Osymbols.${ARCH} -e${LIB}
+done
+
+# Create symbols file for all architectures
+pkgkde-symbolshelper create -o ${SYMBOLS} -v ${ABI} symbols.*
+
diff --git a/debian/rules b/debian/rules
index 882c468..6c2b203 100755
--- a/debian/rules
+++ b/debian/rules
@@ -4,8 +4,10 @@ DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)
+CITYGML_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed 's/[\+\~].*//')
+
%:
- dh $@
+ dh $@ --with pkgkde_symbolshelper
override_dh_auto_clean:
dh_auto_clean
@@ -14,6 +16,9 @@ override_dh_auto_clean:
override_dh_gencontrol:
sh -x debian/gencontrol
+override_dh_makeshlibs:
+ dh_makeshlibs -- -c0 -v$(CITYGML_VERSION)
+
override_dh_auto_configure:
dh_auto_configure -- \
-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
--
Read and write CityGML files
More information about the Pkg-grass-devel
mailing list